<?php

$title = 'Поход';
$load=array("set_user",'user');
include_once 'protected/sys.php';

$sett = array('status' => array('0' => 'Идет сбор игроков',
								   '1' => 'Поход начался',
								   '2' => 'Поход завершился'
									),
				'fond' => array(	'1' => 'Малый',
								    '2' => 'Средний',
								    '3' => 'Большой',
								    '4' => 'Очень большой'
								    ),
				'power' => array(	'1' => 'Легко',
									'2' => 'Среднее',
									'3' => 'Сложно',
									'4'	=> 'Очень сложно')

				);
if($setting['compaign'] != 0){
	$compaign = $db->fetch('SELECT * FROM `compaigns` WHERE `id`=? LIMIT 1',array($setting['compaign']));
} else {
	$compaign = 0;
}

if($compaign != 0 ){
	$players = $db->rows('SELECT * FROM `users` WHERE `compaign`=?',array($compaign['id']));
	// START SET COMPAIGN //
	if(isset($_GET['set'])){
		$errors = array();
		if($user['login'] == 'Боец'){
			$errors[] = 'Для уатия сохраните персонаж';
		}

		if($players >= 10){
			$errors[] = 'Узвени но уже нет места';
		}

		if($compaign['time_game'] <= time()){
			$errors[] = 'Извени но но отважние воины уже отправились в поход. Ты опоздал.';
		}

		if(!empty($errors)){
			echo '<div class="menu">';
				foreach ($errors as $err) {
					echo '<li>'.$err.'</li>';
				}
			echo '</div>';
		} else {
			$db->query('UPDATE `users` SET `compaign` = ? WHERE `id` = ? LIMIT 1',array($compaign['id'],$user['id']));
			header('Location: /campaign');
		}
	}
	// END SET COMPAING //

	//START OUT COMPAIGN //
	if(isset($_GET['out'])){
		$db->query('UPDATE `users` SET `compaign` = ? WHERE `id` = ? LIMIT 1',array(0,$user['id']));
		header('Location: /campaign');
	}
?>
	<div class='menu'>Участвуй в походе из другими игроками и получите в битве невероятние достижение и награды</div>

	<?	if($compaign['status'] != 0 ){ ?>
		<div class='text-lg'><?=$sett['status'][$compaign['status']]?></div>
		<? if($user['compaign'] == $compaign['id']){ ?>
			<div class='menu'>Вы участвуете в походе заберете вашу награду после завершения;</div>
		<? } else { ?>
			<div class='text-md'>Вы не берете участия в походе;</div>
		<? } 

	$tt = $compaign['time']-time();
	$h = $tt/3600%60;
	$m = $tt/60%60;
	$s = $tt%60;
	?>
		<div class= "menu">Начало похода через: <?=$h?>ч. <?=$m?>м. <?=$s?>с.</div>

	<?	} else { ?>
	<div class='menu'>
		<div class='colum-full padding-10'>
		Параметри похода
		</div>
	</div>
	<div class='menu'>
	<?
	$tt = $compaign['time_game']-time();
	$h = $tt/3600%60;
	$m = $tt/60%60;
	$s = $tt%60;
	?>
	
		Начало похода через: <?=$h?>ч. <?=$m?>м. <?=$s?>с.
	</br>Статут: <?=$sett['status'][$compaign['status']]?>
		</br> Фонд: <?=$sett['fond'][$compaign['fond']]?>
		</br>Сложность: <?=$sett['power'][$compaign['power']]?></li>
		</br>Количество игроков: <?=$players?>/<?=$compaign['max_users']?>
</div><div class="menu">
	
		Игроки: </br> <?
	if($players == 0){
		?> Еще нет <?
	} else {
		$i=0;
		$pls = $db->fetchall('SELECT * FROM `users` WHERE `compaign` = ?',array($compaign['id']));
		echo '<div class="list">';
		foreach ($pls as $pl) {
			$i++;
			?>
				</div><a class="menu" href='/user?id=<?=$pl['id']?>'><?=$i?>) <?=$pl['login']?></a></li>
			<?	
		 } 		 
	}

	if($user['compaign']!=$compaign['id']){
		if($players < $compaign['max_users']){ ?>
			<center><a class="menu" href='?set' class="button green">Участвовать</a></center>
		<? } 
	} else { ?>
			<center><a class="menu" href='?out' class="button red">Убежать</a></center>
	<? }
	}
} else {
	echo '<center> <div class="menu">На данный момент нет запланированых походов</div></center>';
}




include_once $config['root'].'/protected/footermain.php';